Subject: Re: bug#38282: 26.3; goto-line should not share input history with other commands

From: Robert Pluim <[email-masked]>
Date: Thu, 21 Nov 2019 15:41:44 +0100

>>>>> On Thu, 21 Nov 2019 14:51:18 +0100, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Federico Tedin <[email-masked]> writes:
    >> When using goto-line (M-g M-g), I usually tend to jump to lines which I
    >> have jumped to in the past. Because goto-line shares input history with
    >> other commands (like `read-from-minibuffer'), sometimes these numbers
    >> get buried among strings that I have entered for other commands. I think
    >> it would make sense to give goto-line a separate input history to make
    >> finding past lines easier.

    Lars> Yes, the Emacs behaviour here has annoyed me, too.

    Lars> `goto-line' basically just calls `read-number' (which calls
    Lars> `read-from-minibuffer' with the "default" nil history) -- I wonder
    Lars> whether it would make sense to have a separate history for `read-number'
    Lars> so that all numbers that are read share a history?  Or is that too
    Lars> drastic?

If debbugs-gnu-bugs et al uses read-number, Iʼm all in favour.

Robert